#! /bin/sh
# setup.sh -- Configuration mgetty pour Slackware 2.3.0
# Marc SCHAEFER <schaefer@alphanet.ch>
# Creation: 12/07/96
# Modification: 27/07/96
# V1.0 PV002 MSC96
# DISCLAIMER
#    No warranty, either expressed or implied
# COPYRIGHT
#    Fully protected under Berne Convention, use authorized
#    for ALPHANET NF members.
# BUGS
#    Sensitivity to / in variables because of sed.

case `whoami` in
   root) ;;
   *) echo "Lancez ce programme sous root"
      exit;;
esac


echo "Configuration mgetty ALPHANET 1.0 MSC96"
echo ""
echo -n "Avez-vous lu la FAQ LINUX ALPHANET [o/N] ?: "
read Answer
case $Answer in
   o*|O*) ;;
   *)     echo ""
          echo "Et bien, faites-le."
          exit;;
esac
unset Answer

if [ -f /usr/lib/mgetty/config.done ]; then
   echo ""
   echo "Configuration dj effectue."
   echo -n "Recommencer la configuration [o/N] ?: "
   read Answer
   case $Answer in
      o*|O*) rm -rf /usr/lib/mgetty
             echo ""
             echo "ATTENTION: rinstall l'ancien /etc/inittab avant"
             echo "l'installation de mgetty. /etc/inittab.old contient"
             echo "la version remplace."
             sleep 2
             mv /etc/inittab /etc/inittab.old
             mv /etc/inittab.before_mgetty /etc/inittab;;
      *)  echo ""
          echo "Opration annule."
          exit;;
   esac
   unset Answer
fi


clear

mkdir /usr/lib/mgetty

while :
do
   echo -n "Entrez le nom du priphrique UNIX du modem [ttyS0]: "
   read ALPHANET_CONFIG_MODEM_DEVICE
   if [ "$ALPHANET_CONFIG_MODEM_DEVICE" = "" ]; then
      ALPHANET_CONFIG_MODEM_DEVICE=ttyS0
   fi
   case $ALPHANET_CONFIG_MODEM_DEVICE in
      *%*|*/*) echo ""
           echo "ERREUR: mauvais caractre";;
      tty*) if [ -c $ALPHANET_CONFIG_MODEM_DEVICE ]; then
                 break
              fi
              echo ""
              echo "ERREUR: $ALPHANET_CONFIG_MODEM_DEVICE inexistant";;
      *) echo ""
         echo "ERREUR: format tty, pas cua";;
   esac
done

while :
do
   echo "Prompt  prsenter (suggr: (tartempion-$ALPHANET_CONFIG_MODEM_DEVICE) login: "
   echo "si tartempion est le nom de votre machine et ttyS0 le priphrique"
   echo "du modem). Une seule ligne SVP (un pr-message est possible)"
   echo -n " [RETURN == dfaut] ?: "
   read ALPHANET_CONFIG_PROMPT
   case $ALPHANET_CONFIG_PROMPT in
      *\"*) echo ""
           echo "ERREUR: Mauvais caractre.";;
      ?*) break;;
      *) ALPHANET_CONFIG_PROMPT="(`hostname`-$ALPHANET_CONFIG_MODEM_DEVICE) login: "
         break;;
   esac                     
done

while :
do
   echo -n "Vitesse du port srie (en bps) [38400] ?: "

   read ALPHANET_CONFIG_SPEED
   case $ALPHANET_CONFIG_SPEED in
      [0-9]*) break;;
      ?*)     echo "ERREUR: Mauvais caractre.";;
      *)      ALPHANET_CONFIG_SPEED=38400
              break;;
   esac
done

clear

echo "Priphrique UNIX:         $ALPHANET_CONFIG_MODEM_DEVICE"
echo "Prompt prsent:           $ALPHANET_CONFIG_PROMPT"
echo "Vitesse fixe:              $ALPHANET_CONFIG_SPEED"
echo ""
echo -n "Confirmation [O/n] ?: "
read Answer
case $Answer in
   n*|N*) echo ""
          echo "Relancez $0"
          exit;;
esac
unset Answer

echo ""
echo -n "Je procde  la configuration ..."

sed "s%ALPHANET_CONFIG_MODEM_DEVICE%/dev/$ALPHANET_CONFIG_MODEM_DEVICE%"  < mgetty.config.orig > /usr/lib/mgetty/mgetty.config
cp /etc/inittab /etc/inittab.before_mgetty
sed "s%ALPHANET_CONFIG_MODEM_DEVICE%/dev/$ALPHANET_CONFIG_MODEM_DEVICE%" < inittab.orig | sed "s%ALPHANET_CONFIG_SPEED%$ALPHANET_CONFIG_SPEED%" | sed "s%ALPHANET_CONFIG_PROMPT%$ALPHANET_CONFIG_PROMPT%" >> /etc/inittab
cp login.config.orig /usr/lib/mgetty/login.config
cp mgetty /usr/lib/mgetty

chown -R root /usr/lib/mgetty
chgrp -R root /usr/lib/mgetty
touch /usr/lib/mgetty/config.done
/sbin/init q&

echo " ok"
echo "ATTENTION: pour une raison de scurit, vrifiez que vous"
echo "n'avez pas de comptes sans mot de passe dans /etc/passwd."
